// mini prototype
function $(element) {
  if (arguments.length > 1) {
    for (var i = 0, elements = [], length = arguments.length; i < length; i++)
      elements.push($(arguments[i]));
    return elements;
  }
  if (typeof element == 'string')
    element = document.getElementById(element);
  return element;
}
Object.extend = function(destination, source) {
  for (var property in source) {
    destination[property] = source[property];
  }
  return destination;
}

// mini effects
var Effect = new Object();
Effect._fade = function() {
   	this._element.style.opacity = this._opacity;
    this._opacity -= 0.1
	if (this._opacity<=0) {
	    this._element.style.display = 'none';
		if (typeof this._options.afterFinish=="function") this._options.afterFinish();
		this._element.style.opacity = 1;
	} else {
		setTimeout("Effect._fade()", 50);
    }
}
Effect.Fade = function(element, options) {
  this._element = $(element);
  this._opacity = 1.0;
  this._options = options || {};
  Effect._fade();
}
Effect._appear = function() {
    this._element.style.opacity = this._opacity;
    this._opacity += 0.1
	if (this._opacity>=1) {
		if (typeof this._options.afterFinish=="function") this._options.afterFinish();
		this._element.style.opacity = 1;
	} else {
		setTimeout("Effect._appear()", 50);
    }
}
Effect.Appear = function(element, options) {
  this._element = $(element);
  this._opacity = 0.0;
  this._element.style.opacity = 0;
  this._element.style.display = 'inline';
  this._options = options || {};
  Effect._appear();
}